%global debug_package %{nil}

%bcond_without flexiblas

Name:           CImg
Version:        3.2.6
Release:    1%{?dist}
Summary:        C++ Template Image Processing Toolkit
License:        ( CECILL-2.0 OR CECILL-C ) AND LGPL-3.0-only
URL:            https://github.com/dtschump/CImg
Source0:        https://cimg.eu/files/CImg_%{version}.zip
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  fftw-devel
BuildRequires:  ImageMagick-c++-devel
%if %{with flexiblas}
BuildRequires:	flexiblas-devel
%else
BuildRequires:	blas-devel
BuildRequires:  lapack-devel
%endif
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrandr-devel
BuildRequires:  opencv-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  zlib-devel
BuildRequires:  make

%description
The CImg Library is an open-source C++ toolkit for image processing. 
It consists in a single header file 'CImg.h' providing a minimal set of C++ 
classes and methods that can be used in your own sources, to load/save, 
process and display images. Very portable, efficient and easy to use, 
it's a pleasant library for developping image processing algorithms in C++.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
sed -i 's|$(X11PATH)/lib|$(X11PATH)/%{_lib}|g' examples/Makefile
%if %{with flexiblas}
sed -i 's|-lblas -llapack|-lflexiblas|g' examples/Makefile
%endif

%build

%install
install -pdm755 %{buildroot}%{_includedir}/%{name}/plugins
install -pm644 CImg.h %{buildroot}%{_includedir}/
install -pm644 plugins/*.h %{buildroot}%{_includedir}/%{name}/plugins/

%check
make -C examples linux %{?_smp_mflags}

%files devel
%doc *.txt
%{_includedir}/CImg.h
%{_includedir}/%{name}/

%changelog
* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6-1
- initial build
